twilight.getmatrix {twilight} | R Documentation

## Internal function to extract the gene expression matrix from an expression set

### Description

If the input object is of class `ExpressionSet`, the function extracts the gene expression matrix.

### Usage

    twilight.getmatrix(xin)

### Arguments

`xin` | Input object of class `ExpressionSet`.

### Value

Returns the matrix of gene expression values.

### Author(s)

Stefanie Scheid http://www.molgen.mpg.de/~scheid

### References

Scheid S and Spang R (2004): A stochastic downhill search algorithm for estimating the local false discovery rate, IEEE TCBB 1(3), 98–108.

Scheid S and Spang R (2005): twilight; a Bioconductor package for estimating the local false discovery rate, Bioinformatics 21(12), 2921–2922.

Scheid S and Spang R (2006): Permutation filtering: A novel concept for significance analysis of large-scale genomic data, in: Apostolico A, Guerra C, Istrail S, Pevzner P, and Waterman M (Eds.): Research in Computational Molecular Biology: 10th Annual International Conference, Proceedings of RECOMB 2006, Venice, Italy, April 2-5, 2006. Lecture Notes in Computer Science vol. 3909, Springer, Heidelberg, pp. 338-347.

### See Also

`twilight.pval`

[Package twilight version 1.20.0 Index]